From dtor_core@ameritech.net Tue Apr 26 00:45:50 2005
From: Dmitry Torokhov <dtor_core@ameritech.net>
To: linux-kernel@vger.kernel.org
Subject: [PATCH 1/5] kobject_hotplug() should use kobject_name()
Date: Tue, 26 Apr 2005 02:29:58 -0500

kobject: kobject_hotplug should use kobject_name() instead of
         accessing kobj->name directly since for objects with
         long names it can contain garbage.

Signed-off-by: Dmitry Torokhov <dtor@mail.ru>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 lib/kobject_uevent.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/lib/kobject_uevent.c	2005-04-07 00:36:30.000000000 -0700
+++ gregkh-2.6/lib/kobject_uevent.c	2005-05-09 09:15:50.000000000 -0700
@@ -246,7 +246,7 @@
 	if (hotplug_ops->name)
 		name = hotplug_ops->name(kset, kobj);
 	if (name == NULL)
-		name = kset->kobj.name;
+		name = kobject_name(&kset->kobj);
 
 	argv [0] = hotplug_path;
 	argv [1] = name;
